ALLEGRO_EVENT_QUEUE(3)

NAME

ALLEGRO_EVENT_QUEUE - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    typedef struct ALLEGRO_EVENT_QUEUE ALLEGRO_EVENT_QUEUE;

DESCRIPTION

An event queue holds events that have been generated by event sources that are registered with the queue. Events are stored in the order they are generated. Access is in a strictly FIFO (first-in-first-out) order.

SEE ALSO

al_create_event_queue(3), al_destroy_event_queue(3)